# -*- coding: utf-8; indent-tabs-mode: nil -*-

# mailbridge: a mail storage spanning bridge
# 
# Copyright 2011 Ryan Hughes <ryan@n-h.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License, version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


class BaseStore(object):
    "Base store class"
    def __init__(self, settings_dict):
        super(BaseStore, self).__init__()
        self.settings_dict = settings_dict
        self.connection = None
        self.account = None
        self.guid = None
        
    def connect(self):
        pass
    
    def close(self):
        if self.connection is not None:
            self.connection.close()
            self.connection = None
            
    def openMailbox(self, id):
        pass

    def getVersion(self):
        pass
    
    def loadChanges(self):
        pass
    
    def updateChanges(self):
        pass
    
    def getChanges(self, fromVersion):
        pass
    
    