# -*- coding: utf-8; indent-tabs-mode: nil -*-

# mailbridge: a mail storage spanning bridge
# 
# Copyright 2011 Ryan Hughes <ryan@n-h.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License, version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


class DsyncContentsImporter(object):
    '''
    classdocs
    '''


    def __init__(self, folder):
        '''
        Constructor
        '''
        self.folder = folder
        
    def importMessageChange(self, id, message):
        if (message.flag_new):
            return self.folder.addMessage(id, message)
        else:
            return self.folder.updateMessage(id, message)
        
    def importMessageDeletion(self, flags, ids):
        return self.folder.delMessages(ids)
        
    def importMessageReadStateChange(self, states):
        for state in states:
            self.folder.updateMessageReadFlag(state.id, state.read_flag)
        pass
        

class DsyncHierarchyImporter(object):#
    '''
    classdocs
    '''


    def __init__(self, store):
        '''
        Constructor
        '''
        self.store = store

    def importFolderChange(self, id, folder):
        pass
